Groovy Documentation

## org.codehaus.groovy.grails.orm.hibernate.cfg
[Java] Class GORMSessionFactoryDefinitionParser

    java.lang.Object
      org.codehaus.groovy.grails.orm.hibernate.cfg.GORMSessionFactoryDefinitionParser

All Implemented Interfaces:
  BeanDefinitionParser

    public class GORMSessionFactoryDefinitionParser

A BeanDefinitionParser that will scan for GORM entities to configure and automatically setup an appropriate Hibernate SessionFactory for usage with GORM. Example in XML:

###

     <gorm:sessionFactory
              data-source-ref="myDataSource"
              base-package="my.company.domain"
              lob-handler-ref="lobHandler" <!--optional-->
              config-location="classpath:hibernate.cfg.xml" <!--optional-->
              config-class="org.codehaus.groovy.grails.orm.hibernate.cfg.GrailsAnnotationConfiguration"> <!--optional-->

          <property name="hibernateProperties"></property>
     </gorm:sessionFactory>

     Authors:Graeme RocherSee Also:org.springframework.beans.factory.xml.BeanDefinitionParserSince:1.1

        Method Summary

                BeanDefinition

                parse(org.w3c.dom.Element element, ParserContext parserContext)

                    Methods inherited from class java.lang.Object

                    java.lang.Object#wait(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

        Method Detail

            parse
            public BeanDefinition parse(org.w3c.dom.Element element, ParserContext parserContext)

    Groovy Documentation